package domain

type AlibabaWdkMarketingExpirePromotionCreateExpirePeriodInfo struct {
	/*
	   优惠具体折扣，1到1000     */
	PromotionValue *int64 `json:"promotion_value,omitempty" `

	/*
	   0到24，小时数值     */
	EndHour *int64 `json:"end_hour,omitempty" `

	/*
	   0到24，小时数值     */
	StartHour *int64 `json:"start_hour,omitempty" `

	/*
	   外部商家id     */
	OutId *int64 `json:"out_id,omitempty" `
}

func (s *AlibabaWdkMarketingExpirePromotionCreateExpirePeriodInfo) SetPromotionValue(v int64) *AlibabaWdkMarketingExpirePromotionCreateExpirePeriodInfo {
	s.PromotionValue = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionCreateExpirePeriodInfo) SetEndHour(v int64) *AlibabaWdkMarketingExpirePromotionCreateExpirePeriodInfo {
	s.EndHour = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionCreateExpirePeriodInfo) SetStartHour(v int64) *AlibabaWdkMarketingExpirePromotionCreateExpirePeriodInfo {
	s.StartHour = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionCreateExpirePeriodInfo) SetOutId(v int64) *AlibabaWdkMarketingExpirePromotionCreateExpirePeriodInfo {
	s.OutId = &v
	return s
}
